Tp::Client::ChannelTypeTextInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ChannelTypeTextInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

## Public Slots
QDBusPendingReply | AcknowledgePendingMessages (const Tp::UIntList &IDs, int timeout=-1)
QDBusPendingReply< Tp::UIntList > | GetMessageTypes (int timeout=-1)
QDBusPendingReply < Tp::PendingTextMessageList > | ListPendingMessages (bool clear, int timeout=-1)
QDBusPendingReply | Send (uint type, const QString &text, int timeout=-1)

## Signals
void | LostMessage ()
void | Received (uint ID, uint timestamp, uint sender, uint type, uint flags, const QString &text)
void | SendError (uint error, uint timestamp, uint type, const QString &text)
void | Sent (uint timestamp, uint type, const QString &text)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| ChannelTypeTextInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeTextInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeTextInterface (Tp::DBusProxy *proxy)
| ChannelTypeTextInterface (const Tp::Client::ChannelInterface &mainInterface)
| ChannelTypeTextInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.Text".

## Constructor & Destructor Documentation

Tp::Client::ChannelTypeTextInterface::ChannelTypeTextInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeTextInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelTypeTextInterface::ChannelTypeTextInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeTextInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelTypeTextInterface::ChannelTypeTextInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelTypeTextInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelTypeTextInterface::ChannelTypeTextInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) |
| explicit

Creates a ChannelTypeTextInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ChannelTypeTextInterface::ChannelTypeTextInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelTypeTextInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelTypeTextInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Type.Text", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ChannelTypeTextInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::ChannelTypeTextInterface::AcknowledgePendingMessages | ( | const Tp::UIntList & | IDs,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `AcknowledgePendingMessages` on the remote object.

Inform the channel that you have handled messages by displaying them to the user (or equivalent), so they can be removed from the pending queue.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  IDs |
      The IDs of the messages to acknowledge
  timeout | The timeout in milliseconds.

QDBusPendingReply<Tp::UIntList> Tp::Client::ChannelTypeTextInterface::GetMessageTypes | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `GetMessageTypes` on the remote object.

Return an array indicating which types of message may be sent on this channel.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

Returns

      An array of integer message types (ChannelTextMessageType)

QDBusPendingReply<Tp::PendingTextMessageList> Tp::Client::ChannelTypeTextInterface::ListPendingMessages | ( | bool | clear,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `ListPendingMessages` on the remote object.

List the messages currently in the pending queue, and optionally remove then all.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  clear |
      If true, behave as if AcknowledgePendingMessages had also been
      called.
  timeout | The timeout in milliseconds.

Returns

An array of structs representing the pending queue. Each contains:

- a numeric identifier
- a Unix timestamp indicating when the message was received
- the contact handle for the contact who sent the message
- the message type, taken from ChannelTextMessageType
- the bitwise-OR of the message flags from ChannelTextMessageFlags
- the text of the message

QDBusPendingReply Tp::Client::ChannelTypeTextInterface::Send | ( | uint | type,
|  | const QString & | text,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `Send` on the remote object.

Request that a message be sent on this channel. When the message has been submitted for delivery, this method will return and the Sent() signal will be emitted. If the message cannot be submitted for delivery, the method returns an error and no signal is emitted.

This method SHOULD return before the Sent signal is emitted.

When a Text channel implements the ChannelInterfaceMessagesInterface interface, that "SHOULD" becomes a "MUST".

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  type |
      An integer indicating the type of the message
  text |
      The message to send
  timeout | The timeout in milliseconds.

void Tp::Client::ChannelTypeTextInterface::LostMessage | ( |  | ) |
| signal

Represents the signal `LostMessage` on the remote object.

This signal is emitted to indicate that an incoming message was not able to be stored and forwarded by the connection manager due to lack of memory.

void Tp::Client::ChannelTypeTextInterface::Received | ( | uint | ID,
|  | uint | timestamp,
|  | uint | sender,
|  | uint | type,
|  | uint | flags,
|  | const QString & | text
| ) |  |
| signal

Represents the signal `Received` on the remote object.

Signals that a message with the given id, timestamp, sender, type and text has been received on this channel. Applications that catch this signal and reliably inform the user of the message should acknowledge that they have dealt with the message with the AcknowledgePendingMessages method.

Parameters

  ID |
      A numeric identifier for acknowledging the message
  timestamp |
      A Unix timestamp indicating when the message was received
  sender |
      The handle of the contact who sent the message
  type |
      The type of the message (normal, action, notice, etc.)
  flags |
      A bitwise OR of the message flags
  text |
      The text of the message

void Tp::Client::ChannelTypeTextInterface::SendError | ( | uint | error,
|  | uint | timestamp,
|  | uint | type,
|  | const QString & | text
| ) |  |
| signal

Represents the signal `SendError` on the remote object.

Signals that an outgoing message has failed to send. The error will be one of the values from ChannelTextSendError.

This signal should only be emitted for messages for which Sent() has already been emitted and Send() has already returned success.

Parameters

  error |
      The error that occurred
  timestamp |
      The Unix timestamp indicating when the message was sent
  type |
      The message type
  text |
      The text of the message

void Tp::Client::ChannelTypeTextInterface::Sent | ( | uint | timestamp,
|  | uint | type,
|  | const QString & | text
| ) |  |
| signal

Represents the signal `Sent` on the remote object.

Signals that a message has been submitted for sending.

Parameters

  timestamp |
      Unix timestamp indicating when the message was sent
  type |
      The message type (normal, action, notice, etc) from
      ChannelTextMessageType
  text |
      The text of the message. If the message was, or will be, altered
      during transmission, this argument SHOULD reflect what other
      contacts will receive rather than being a copy of the argument to
      Send.

void Tp::Client::ChannelTypeTextInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.